%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-memes
Version:	1.2.0
Release:	1%{?dist}
Summary:	Plugin for Mattermost to have Memes
URL:            https://github.com/mattermost/mattermost-plugin-memes
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-plugin-memes


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
export GO111MODULE=on
cd src/github.com/mattermost/mattermost-plugin-memes
git checkout tags/v%{version}
go build -o plugin.exe ./server


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins/memes/server/
cp -rv src/github.com/mattermost/mattermost-plugin-memes/plugin.json %{buildroot}%{mattermost_home}/plugins/memes/
sed 's/"executables": {/"executables": { "server\/plugin.exe"/' -i %{buildroot}%{mattermost_home}/plugins/memes/plugin.json
sed '/"darwin-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/memes/plugin.json
sed '/"linux-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/memes/plugin.json
sed '/"windows-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/memes/plugin.json
cp -rv src/github.com/mattermost/mattermost-plugin-memes/plugin.exe %{buildroot}%{mattermost_home}/plugins/memes/server/


%files
%{mattermost_home}/plugins/memes/plugin.json
%{mattermost_home}/plugins/memes/server/plugin.exe


%changelog
